﻿using SqlSugar;
using XF.Domain.Repository;

namespace Hotline.Orders;

/// <summary>
/// 工单补充
/// </summary>
public class OrderComplement : CreationEntity
{
    public string OrderId { get; set; }
    
    /// <summary>
    /// 补充意见
    /// </summary>
    [SugarColumn(Length = 2000)]
    public string Opinion { get; set; }

    /// <summary>
    /// 附件
    /// </summary>
    [SugarColumn(ColumnDataType = "json", IsJson = true)]
    public List<string> Additions { get; set; } = new();
}